Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.model
Class DefaultTableColumn

    java.lang.Object
      javax.swing.table.TableColumn
          groovy.model.DefaultTableColumn

    class DefaultTableColumn
    extends TableColumn

Represents a column using a ValueModel to extract the value.

author:
  James Strachan

version:
  $Revision: 12913 $

Field Summary

Fields inherited from class TableColumn
COLUMN_WIDTH_PROPERTY, HEADER_VALUE_PROPERTY, HEADER_RENDERER_PROPERTY, CELL_RENDERER_PROPERTY

Constructor Summary
`DefaultTableColumn(ValueModel valueModel)`
`DefaultTableColumn(Object header, ValueModel valueModel)`
`DefaultTableColumn(Object headerValue, Object identifier, ValueModel columnValueModel)`

Method Summary
`Class` | `getType()`
`Object` | `getValue(Object row, int rowIndex, int columnIndex)` Evaluates the value of a cell
`ValueModel` | `getValueModel()`
`void` | `setValue(Object row, Object value, int rowIndex, int columnIndex)`
`String` | `toString()`

Methods inherited from class TableColumn
getIdentifier, addPropertyChangeListener, removePropertyChangeListener, getPropertyChangeListeners, getWidth, disableResizedPosting, enableResizedPosting, getCellEditor, getCellRenderer, getHeaderRenderer, getHeaderValue, getMaxWidth, getMinWidth, getModelIndex, getPreferredWidth, getResizable, setCellEditor, setCellRenderer, setHeaderRenderer, setHeaderValue, setIdentifier, setMaxWidth, setMinWidth, setModelIndex, setPreferredWidth, setResizable, setWidth, sizeWidthToFit, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### DefaultTableColumn

    public DefaultTableColumn(ValueModel valueModel)

### DefaultTableColumn

    public DefaultTableColumn(Object header, ValueModel valueModel)

### DefaultTableColumn

    public DefaultTableColumn(Object headerValue, Object identifier, ValueModel columnValueModel)

Method Detail

### getType

    public Class getType()

  return:
    the column type

### getValue

    public Object getValue(Object row, int rowIndex, int columnIndex)

  Evaluates the value of a cell
  return:
    the value
  param:
    row the row of interest
  param:
    rowIndex the index of the row of interest
  param:
    columnIndex the column of interest

### getValueModel

    public ValueModel getValueModel()

### setValue

    public void setValue(Object row, Object value, int rowIndex, int columnIndex)

### toString

    public String toString()

Copyright © 2003-2009 The Codehaus. All rights reserved.